<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../.resources/report.css" type="text/css"/><link rel="shortcut icon" href="../.resources/report.gif" type="image/gif"/><title>Position.java</title><link rel="stylesheet" href="../.resources/prettify.css" type="text/css"/><script type="text/javascript" src="../.resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../.sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">JaCoCoverage analysis of project &quot;ATL-OTHELLO-Monir&quot; (powered by JaCoCo from EclEmma)</a> &gt; <a href="index.source.html" class="el_package">esi.atl.othello.monir.model</a> &gt; <span class="el_source">Position.java</span></div><h1>Position.java</h1><pre class="source lang-java linenums">package esi.atl.othello.monir.model;

/**
 * This class represents the position of the pawn in the Board.
 *
 * @author Monir Nasser
 */
public class Position {

    private int row;
    private int column;

    /**
     * This methods construct the position whit 2 parameters.
     *
     * @param row The row of the position.
     * @param column The column of the position.
     */
<span class="fc" id="L19">    public Position(int row, int column) {</span>
<span class="fc" id="L20">        this.row = row;</span>
<span class="fc" id="L21">        this.column = column;</span>
<span class="fc" id="L22">    }</span>

    /**
     * this method returns the position beside the current Position.
     *
     * @param direction the direction we want to go.
     * @return Position
     */
    public void next(Direction direction) {
<span class="fc" id="L31">        this.row += direction.getRow();</span>
<span class="fc" id="L32">        this.column += direction.getColumn();</span>

<span class="fc" id="L34">    }</span>

    /**
     * This method allows us to get the row of the position.
     *
     * @return The row.
     */
    public int getRow() {
<span class="fc" id="L42">        return row;</span>
    }

    /**
     * This method allows us to get the column of the position.
     *
     * @return The column.
     */
    public int getColumn() {
<span class="fc" id="L51">        return column;</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.6.201602180812</span></div></body></html>